Subject: Re: bug#43177: Bug: Emacs 27.1 hangs forever in `FcCharSetSubtractCount' from '/usr/lib/libfontconfig.so.1'

From: Alexander Shukaev <[email-masked]>
Date: Thu, 3 Sep 2020 14:28:58 +0200

On 03/09/2020 14:13, Robert Pluim wrote:
>>>>>> On Thu, 3 Sep 2020 12:24:30 +0200, Alexander Shukaev <[email-masked]> said:
> 
>      Alexander> The only related font configurations that I can think of are the following:
> 
>      Alexander> With what I consistently get output
> 
>      Alexander> Font: ‘Consolas-12’
> 
>      Alexander> for several years already on various Linux systems that I'm using so far.
> 
> OK. Is this happening on particular files? Is it possible they have
> esoteric Unicode characters in them?
> 
> One other thing: do you have Symbola installed? Thatʼs the default
> fallback font Emacs uses for symbols, if itʼs not found it needs to
> search harder.
> 
> Robert
> 

That file is indeed special because it has some Unicode:

ꪯ鵞

Symbola was there, though outdated, I just updated it.  Not sure if it's 
related, but now that file loads somewhat faster, under 10 seconds roughly.